kthread_run
Prev | Internal Functions | Next

## Name

kthread_run — create and wake a thread.

## Synopsis

`kthread_run (` |  | threadfn,
|  | data,
|  | namefmt,
|  | ...`)`;

## Arguments

`threadfn`

  the function to run until signal_pending(current).

`data`

  data ptr for `threadfn`.

`namefmt`

  printf-style name for the thread.

`...`

  variable arguments

## Description

Convenient wrapper for `kthread_create` followed by `wake_up_process`. Returns the kthread or ERR_PTR(-ENOMEM).

Prev | Up | Next
sys_tgkill | Home | kthread_should_stop